





















                              U S E R S'   M A N U A L

                                  P O W E R M E N U
























                         Copyright (C) Brown Bag Software 1989

                               2155 South Bascom Ave
                                Campbell  Ca 95008
                                     U. S. A.


                               Tel:  (408) 559 4545










          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          THE SHAREWARE CONCEPT

          Copyright 1989 Telemarketing Resources DBA Brown Bag Software. All
          rights reserved world wide. Both the PowerMenu program and
          documentation is copyrighted. It can not be disassembled or
          modified without our express written consent.

          PowerMenu is distributed on a ShareWare basis. You may use
          PowerMenu without charge for the purposes of evaluating it's
          suitability for your use. We suggest that this evaluation period be
          limited to 30 days of actual use. If you find that PowerMenu is
          worth continuing to use, then you are required to pay for it. We
          call the payment a "Registration Fee". Simply complete the
          registration form and mail it in to use with your payment. If your
          company requires an invoice, we suggest that you use a copy of this
          registration as the pro forma invoice. When you register your copy
          of PowerMenu, you'll receive the latest version of the program,
          along with a comprehensive printed user manual and free unlimited
          technical support for one year. We aggressively develop our
          products, and as a registered user you'll be entitled to upgrades to
          the newest versions as they are released, at a greatly reduced
          price. Most importantly though, by registering your copy of
          PowerMenu (or any ShareWare product), you'll ensure the survival of
          the convenient and risk free distribution method that brought you
          PowerMenu in the first place.

          If you have received this copy from a Users' Group, "Software
          Library" or "SIG", and have paid a small fee (usually $3 to $10),
          you have NOT acquired the registered rights or continued right to
          use PowerMenu. This fee was for the convenience of obtaining the
          diskette with PowerMenu on it. The fee does NOT apply to the
          registration fee. If you have obtained a "ShareWare" copy of
          PowerMenu from Brown Bag Software, and have paid a small fee, this
          fee IS applicable towards registration if you register your copy
          within 90 days.

          If you don't know whether or not your copy of PowerMenu is
          registered or not, then look for an original diskette with a printed
          Brown Bag Software diskette label. If in doubt, just call us or
          write us. As of January 1989, Brown Bag Software has offices in
          London, Copenhagen, Amsterdam, Cologne and Zurich. Our products are
          available locally in these cities with local technical support,
          payable in local currency and shipped from within the EEC without
          duty. If this version of PowerMenu does NOT support the European
          keyboard, then you will receive a version that DOES support the
          keyboard WHEN YOU REGISTER.

          You may freely copy PowerMenu for distribution under the ShareWare
          concept, without charge.

          You may NOT distribute PowerMenu or it's documentation in
          connection with ANY commercial venture, product, publication or
          service without our written approval.





                                                  1





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          INTRODUCTION

          WHAT IS POWERMENU?

          PowerMenu  is   an  operating  environment  for  your  IBM  PC or
          compatible which acts as a "super highway," providing  easy access
          to any application on your PC.  Word processing, spreadsheets, and
          all of your PC programs are just a keystroke away.

          PowerMenu is  particularly suited  for end-users  who would rather
          not  worry  about  subdirectories,  command  line  parameters, and
          command names.  For instance, you can set up your PowerMenu to run
          a word  processor when  the W  key is  hit.   Users exit from word
          processing,  are  back  in  the  main  PowerMenu,  and  need never
          interact with the Disk Operating System (DOS)! User-Friendliness
          PowerMenu  uses  the  familiar  Sidekick  like menu structure, and
          includes context-sensitive on-line help at the touch of a key.

          USER-DEFINABLE COLORS
          Customize PowerMenu to your individual color tastes.

          PASSWORD PROTECTION
          Each application or submenu can request a password before allowing
          the user to continue.

          SUBMENUS
          Up to  4 menus may appear on the screen at the same time, allowing
          for more than 10,000 selections.

          SCREEN SAVE FEATURE
          PowerMenu will clear the computer screen automatically when not in
          use.

          INSTANT DOS ACCESS
          Pop up a DOS window and compose commands directly.

          FAST; LOW OVERHEAD
          Written  in  Macro  Assembler  and C, PowerMenu requires less than
          2.5Kb of RAM when running your applications.

          dBase III COMPATIBILITY
          PowerMenu's data and index files  can  be  accessed  through dBase
          III.

          A POWERFULL FILEMANAGER
          PowerMenu contains a full-blown filenamager, that will let you
          mark files across subdirectories, and perform all dos functions
          on these files. Press F2/D to activate (NB! this facility is only
          working if you have Version 3.00 or more).

          A SHORT LESSON ON SUBDIRECTORIES
          If  you  are  an  advanced  user and understand the makeup of hard
          disks and subdirectories, you may wish to skip this section. The
          rest of you will find that reading this short section will make it
          much easier when it comes time to customize your PowerMenu.

                                                  2





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989


          You could compare your hard disk  to a  department store building.
          Inside may be books, household utilities, sporting goods, you name
          it.  Naturally, similar items are put in  the same  room; it would
          be pointless  to put screwdrivers in the linen section.  The store
          owners gave careful thought to the placement of their goods.

          Similarly, your hard disk has the capacity for many separate areas
          in which  to place  files of  the same  type.  DOS refers to these
          imaginary "rooms"  as directories  (a.k.a.   subdirectories). For
          instance,  you  can  create  a  directory on your hard disk called
          WORDPROC which  will contain  all your  word processing documents.
          Your  computer  utilities  could  be  in a directory called UTILS,
          entertainment software in GAMES, and so on.  Directories allow you
          to keep a well organized hard disk: your files are not all jumbled
          into one "room."

          PowerMenu  needs  to   know   which   directory   your particular
          application is in in order to run the program.  When it comes time
          for you to set up your PowerMenu selections, you will  be prompted
          for the directory.

          The  DOS  utilities  mkdir,  rmdir,  and  chdir allow you to make,
          remove,  and  change  directories,  respectively.     However, we
          recommend  that  you  use  the  PowerMenu Disk Manager, as the the
          creation and maintenance of directories will be much easier.

          You should have a basic understanding of the  function and purpose
          of directories before trying to customize PowerMenu.  If you don't
          understand them, there are several DOS  books on  the market which
          should prove helpful.  (See Appendix C)


          CONVENTIONS USED IN THIS MANUAL
          In this  manual there  may be  terms and type conventions that you
          don't immediately recognize.

          TERMS
          Most PowerMenu terms are defined in the glossary at the end of the
          manual (Appendix D).

          TYPE CONVENTIONS
          Whenever this  manual tells  you to  press a key, that key will be
          enclosed in square brackets.  For  example, if  you are instructed
          to press the Home key, you will be told to press [Home].  When you
          see two keys in  the same  set of  brackets, such  as [Alt-S], you
          should hold down the [Alt] key and hit the [S] key.




                                                  3





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          HOW TO USE THIS MANUAL
          Although PowerMenu  is easy  to use,  and gives  you detailed help
          whenever you press [F1], we suggest  that you  first read Chapters
          1-4.   These chapters  take you  on a  short tour of PowerMenu and
          contain a number of useful hints on its use.

          Chapters 1-4 are an introduction and tutorial to PowerMenu, and do
          not  attempt  to  discuss  PowerMenu  in  detail.  Descriptions of
          PowerMenu  commands,   features,   and   concepts   are collected
          alphabetically in  Chapter 6  for quick reference.  Chapter 6 will
          be especially helpful when you begin to explore  PowerMenu on your
          own.

          If you  have just  received your copy of PowerMenu, Chapter 1 will
          tell you how to  get  PowerMenu  safely  up  and  running  on your
          computer.

                                                  4





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Chapter 1

          INSTALLATION

          INSTANT GRATIFICATION
          You probably want to try out your new PowerMenu system right away.
          This is fine, as PowerMenu is easy to  install and  even easier to
          use.

          All of  the PowerMenu  files will  reside in a subdirectory called
          \menu.  This allows PowerMenu to find the  support files  it needs
          from anywhere on your hard disk.  For our purposes, we will assume
          you have a hard disk with drive letter C:.

          The  PowerMenu files should be copied into a  subdirectory called
          \MENU (this is where it will always look for its files if they do
          not exist in the default directory).

          To  run PowerMenu, simply change into this subdirectory and issue
          the comand:

                         MENU

          If you  have  \MENU in your DOS path you can also start menu from
          any  other drive or directory.  PowerMenu will look for any files
          in the \MENU directory if it can't find them in the default.

          Move the bar up and down a few times with the arrow keys.  Hit the
          [F1] key to call up a help screen,  and familiarize  yourself with
          the key functions.

          Hit down-arrow  for more  information, or  hit [Esc]  when you are
          finished with help.

          Congratulations! You have  just  installed  PowerMenu  and seen a
          small part of its capabilities.

          You can exit from PowerMenu by hitting [Esc] and answering [Y].

          HOW TO START POWERMENU
          To run PowerMenu, the command to type is:

          MENU

          Now let's  go to Chapter 2 to find out what all these screens mean
          to you.





                                                  5





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Chapter 2

          THE POWERMENU SCREEN

          KNOW YOUR SCREENS
          In  the  main  PowerMenu  screen  you will probably want to change
          many, if not all, of our sample menu selections.  We will tell you
          how  to  do  this  after  we discuss the elements of the PowerMenu
          screen.

          PowerMenu's Main menu screen  contains the  Main Menu,  from which
          all programs are run and submenus accessed.

          The topmost  line is the PowerMenu Title Line  which  contains the
          PowerMenu Title and Version Number.

          Note the date in the box on the  far left  and the  system time in
          the box on the far right.  These can both be set through PowerMenu
          at any time (See Chapter 6 under Time & Date).

          The  middle  of  the   second  line  contains  the  serial  number
          (registered  versions  only).  If  you  have  to  call  Brown  Bag
          for technical support, you will need this information.

          Further down is the opening menu itself.  Note the ten Description
          Line selections  under the  word "PowerMenu." There are three ways
          to activate these description lines:

          Highlight the selection by moving  the  cursor  bar  with  the [up
          arrow] and [down arrow] keys, and then hit [Enter].

          Press a  number key.  This immediately activates the corresponding
          program or submenu on that description line.

          Hit the first letter of the  description  line.    This  method is
          usually  the  fastest,  since  you  don't have to leave the normal
          keyboard position.

          EXAMPLE
          Activate the "Utilities for Computer" selection on the  tenth line
          by using  the [down  arrow] key  and then  pressing [Enter]. This
          will call a "Utilities" submenu.

          You will now see an  entirely  new  menu  appear  on  your screen!
          Again, this  is a  sample Utilities  menu which  you will probably
          change later.  Now hit [Esc] to return to the Main Menu.

          The bottom line of your screen will be a Help Line as  long as you
          remain in  PowerMenu.   The help line will give you quick hints as


                                                  6





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          to what functions are available to you.  Remember that you can get
          detailed help at any time by pressing [F1].

          POWERMENU HELP SCREENS
          The  Help  Screens  are  another  important  part of the PowerMenu
          system.  Help screens pop up whenever you hit [F1].   As mentioned
          earlier,  PowerMenu's  help  screens are "context sensitive." This
          means the  help  messages  vary  depending  on  where  you  are in
          PowerMenu or what kind of error has just occurred.

          EXAMPLE
          Hit [F1]  right now and observe the help screen again.  You should
          see descriptions of key functions, some  of which  we have already
          discussed.   The [down  arrow] key  will take you to the next help
          screen, and [Esc] will exit to where you were before you hit [F1].

          PowerMenu help  screens give  you a  nudge in  the right direction
          when  you  don't  have  the  manual  handy,  but  they  are not a
          replacement for the reference section of the manual.

          ERROR MESSAGES
          It is possible that you will see some error messages if you make a
          mistake in  setting up PowerMenu.  These will appear on the second
          line from the bottom.    They  are  usually  self-explanatory, but
          hitting [F1] will explain the error in detail.

                                                  7





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Chapter 3

          CUSTOMIZING YOUR POWERMENU

          When first  installed on  your system,  PowerMenu may not yet know
          which application programs you have on your hard  disk.   You will
          have  to  give  PowerMenu  a  little help in customizing your menu
          system.

          We are now ready to  discuss  PowerMenu's  most  powerful feature:
          user-definable menu choices.  To set up our own description lines,
          we must introduce a screen normally hidden from  our view; namely,
          the Edit Window.

          A description  line's Edit  Window, through  which all changes and
          additions are  made, contains  the information  PowerMenu needs to
          run your application.

          The edit window is opened by highlighting the description line and
          hitting the [Ins] key, and closed by hitting [Esc].

          Each black-on-white area with a flashing cursor is called an Input
          Field, because  you are  expected to  input data  into this field.
          [up arrow] and [down arrow] keys move you from field to field.

          Let's discuss each part of the edit window, and then  we'll set up
          some sample applications.

          TITLE FIELD
          Your description  line, exactly  as you  want it to appear on your
          menu.

          DIRECTORY FIELD
          Contains the name of  the  directory  in  which  your applications
          program resides.  (Remember our discussion of subdirectories?)

          CMND NAME FIELD
          The filename  and extension  (the Command Name) of the command you
          wish to run.

          PARAMETRS FIELD
          These are the arguments (a.k.a.  Parameters) you send to  the Cmnd
          Name.

          PASSWORD FIELD
          If  this  field  is  not  blank, PowerMenu will ask for a password
          before allowing editing or activation of this selection.




                                                  8





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          PAUSE FIELD
          If you  put  a  Y  in  this  field,  PowerMenu  will  pause before
          returning to the Main Menu screen.

          PROMPT FOR PARAMETRS FIELD
          If you  put a  Y in this field, PowerMenu will prompt the user for
          the parameters.


          COMMAND NAMES AND PARAMETERS

          In the Introduction we discussed directories.  Now we will take up
          the important issue of command name and parameter fields.

          Don't worry  about these  fancy DOS  terms: a command name is just
          the  name  of  the  program  you  wish  to  run;  a  parameter is
          information sent to that program.

          COMMAND NAMES
          Command names  in PowerMenu all have one thing in common: they all
          end with either a .EXE, .COM, or .BAT.  (Resident DOS commands are
          exceptions; see  Chapter 6).   This is called the Extension of the
          command name.

          .EXE tells DOS that the file is EXEcutable, .COM stands  for a DOS
          COMmand,  and  .BAT  means  the  file  is a BATch of DOS commands.
          Understanding the reasons behind these names  is not  as important
          as knowing the actual name of the program you wish to run.

          When you  buy a  word processor, spreadsheet, or any other program
          for your PC, you call it up by typing the command name.  To run a
          program, PowerMenu must know both the file name and the extension.

          Some common programs and their command names are:

           WordStar ws.com
           Microsoft Word word.com
           dBase III dbase.com
           PathMinder pm.exe

          PARAMETERS
          Parameters are  information passed  to a  command name.   They are
          more easily explained by example than  discussion.   For instance,
          if you wanted to edit a document on your computer, the DOS command
          would be:

           C>edlin letter.doc

          The command name is edlin.com, and the parameters  are letter.doc.
          These examples illustrate the meaning of parameters:

                                                  9





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989


          If DOS Command is Parameters are

           C>word /c letter.doc /c
           letter.doc
           C>ws thesis.txt thesis.
           txt
           C>pm /x/m /x/m
           C>print report.prn /nb report.
           prn /nb

          All of this might seem intimidating, but it's very simple once you
          get the hang of it.  This next example shows our point.

          EXAMPLE
          Suppose you were using  your word  processor to  work on  a report
          called REPORT.TXT.  You want selection 1 of your PowerMenu to call
          up the word processor when you hit [1].

          Let's assume  your  word  processor  is  Microsoft's  Word  and is
          located in  a directory called \word.  To do this through DOS, you
          would have to type:

           C>cd \word
           C>word /c report.txt
           C>cd \menu

          With PowerMenu, all you have to do is install this  menu selection
          once, and editing your report is one keystroke away.

          This is  how you would input the information in Figure 3-2 to your
          PowerMenu:

          Highlight description line 1 with the  [down arrow]  or [up arrow]
          keys.

          Delete the sample 1 selection by hitting the [Del] key.

          Next, hit [Ins] to open the Edit Window.  All the fields should be
          blank.

          Type in the fields and then hit [Esc] to close the edit window.

          You have just installed your first menu selection!

          Note that you won't be able to activate this selection  unless you
          happen  to  have  Microsoft  Word  on  your hard disk in the \word
          directory.  If you know which programs you have on your hard disk,
          you can now customize PowerMenu to your heart's content.


                                                 10





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          PASSWORDS
          In the  preceding example, we told you to leave the password field
          blank.   However, the  ability to  assign passwords  is a powerful
          feature.   If you  put a  word or  phrase into the password field,
          anyone who uses your  computer  system  must  type  this password.
          Otherwise, PowerMenu  will reject all attempts to edit or activate
          the selection.

          Don't forget your password! You can't open an  edit window without
          its assigned password.

          Pausing before return
          On occasion  you will  want to read the screen before returning to
          PowerMenu.

          Whenever this is the case, put  a  Y  in  the  Pause  field. For
          example,  you  would  not  want  a  directory listing to disappear
          before you have time to read it.

          PROMPTING FOR PARAMETERS
          A PowerMenu selection  can  be  set  up  to  prompt  the  user for
          parameters.  This is done by putting a "Y" in the Prompt Field.

          This is useful if a selection's parameters are subject to frequent
          change.  For instance, you could set up  a selection  that types a
          file on the screen.  Putting a Y in the Prompt Field would let you
          enter the file name to be typed without having to open up the edit
          window each time.

          In most cases, parameters are not likely to change, and the Prompt
          Field should contain an N.

          SUBMENUS
          It is  possible to  display as  many as  4 menus  on the PowerMenu
          screen at once.  You can do this by setting up a selection to call
          a submenu.

          Submenus are set up by putting [menu] in the directory  field, and
          putting a 1-8 letter menu name in the Cmnd Name field.

          You will  need to  remember the names of your submenus in order to
          call them up.  Your selection  can call  any existing  submenu; if
          the submenu  does not  exist, it  can be created.  If you create a
          new submenu, it will contain blank selections until you fill them.
          Your initial PowerMenu screen  shows you  an example  of a submenu
          call.    If  you  open  the  Games edit window, you can see how it
          activates a submenu named GAMES.



                                                 11





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Using what you have learned in Chapters 1-3, you should be able to
          set up PowerMenu to run every application on your hard disk. This
          assumes, of course, that you know the command  and directory names
          of your applications.

          Chapter 4  will discuss  PowerMenu's special commands and show you
          how to customize your PowerMenu color scheme.


                                                 12





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Chapter 4

          SPECIAL COMMANDS AND FEATURES

          MOVING MENU SELECTIONS (SWAP)
          Do you want to move  your  Word  Processing  selection  to another
          place on the menu? You can do it with the PowerMenu Swap function.
          Hitting [Alt-S]  lets you  drag a selection to any location on the
          menu.  For example, dragging the 1 selection to the 5 position and
          then hitting [Enter] will exchange their contents.

          [Esc] aborts any swap operation.

          DELETING A MENU SELECTION
          Delete an  unwanted selection  by highlighting  it and hitting the
          [Del] key.  This will blank out all fields in the edit window.

          INSTANT EDIT
          Hitting a function key while holding down the  [Alt] key instantly
          opens the Edit Window for that function key.

          COMPOSING A DOS COMMAND
          This feature allows you to run DOS commands without ever having to
          leave PowerMenu.

          Pressing [Alt-C] will cause  a DOS  Window to  pop up,  so you can
          compose your  command just  as if  you were in DOS. If you want to
          read the screen before returning to  PowerMenu,  put  a  Y  in the
          Pause field.

          SETTING THE TIME AND DATE
          To  set  the  system  time  or  date,  press  [Alt-T]  or [Alt-D],
          respectively.   This  will  set  them  for  your  current computer
          session, but will not permanently change battery backed up clocks.

          FIXING BAD DATA FILES
          In the unlikely event that something  should damage  the PowerMenu
          data file  MENU.DBF, you can attempt to repair it with the program
          REINDEX.EXE.

          NOTE TO DBASE III USERS
          You can try to  rebuild MENU.DBF  and MENU.NDX  through dBase.  A
          word of caution: Don't play with the ID field.  This field is very
          sensitive to change.    Each  menu  has  exactly  10  records, and
          PowerMenu will  not run properly if records are changed at random.
          See Chapter 6 for more information on dBase III and PowerMenu.

          The best way to avoid loss  of  any  data  is  to  frequently copy
          MENU.DBF and MENU.NDX to a backup disk.

                                                 13





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Chapter 5

          ADVANCED SYSTEM INFORMATION

          WHERE POWERMENU LOOKS FOR ITS SUPPORT FILES
          The installation  section of  this manual alluded to the fact that
          all of  the  PowerMenu  support  files  would  be  located  in one
          subdirectory called \menu.

          PowerMenu can be run from anywhere on your hard disk regardless of
          the current DOS path (with the  exception of  MENU.COM) because it
          knows its  files are  in the  \menu directory.  Appendix A gives a
          description of all the support files and their functions.

          SEQUENCE OF EVENTS UPON INVOKING POWERMENU
          When you type 'menu' at the DOS prompt,  DOS searches  the current
          directory  and  path  for  MENU.COM,  and  runs it if it is found.
          Next, MENU.COM looks in  the current  directory for  MENU.OVL. If
          MENU.OVL is not there, MENU.OVL is loaded from the \menu directory
          on the current drive.

          MENU.OVL  then  looks  for  four  (4)  files:  MENU.HLP, MENU.CNF,
          MENU.DBF,  and  MENU.NDX.    If  these  files  are  in the current
          directory, they are loaded.  If any one of these files is   NOT in
          the current  directory, MENU.OVL  will look in the \menu directory
          for it.

          Most users can just put MENU.COM in the current DOS path and never
          worry about support files again.  PowerMenu was designed with this
          in mind.   However,  you  can  see  the  powerful  implications of
          multiple PowerMenu data files with a little explanation.

          USING MULTIPLE POWERMENU DATA FILES
          Because of  the way PowerMenu loads its data files, it is possible
          to have  many different  PowerMenu systems  on one  computer. For
          instance, if  you invoke PowerMenu from a directory called \legal,
          to  which  you  have  copied  the  files  MENU.DBF,  MENU.NDX, and
          MENU.CNF, PowerMenu  will load these files first, instead of those
          in the \menu directory.

          This means that you can have  entirely different  menu choice data
          and color  configurations based  upon the directory from which you
          type 'menu'.
          IMPORTANT NOTE: The files MENU.DBF  and  MENU.NDX  must  always be
          together in  a directory.  DO NOT try to copy either one by itself
          to a new directory.  This  will cause  random results  and corrupt
          the respective  index files, and they will have to be rebuilt with
          REINDEX.EXE.



                                                 14





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Chapter 6

          POWERMENU REFERENCE GUIDE

          This  chapter  contains  an  alphabetical  listing  of PowerMenu's
          commands, features,  and concepts.   We suggest that you read this
          chapter while PowerMenu is  on your  screen so  you can experiment
          with these features.

          You  can  also  use  Chapter  6  as  a guide when you need a quick
          reference to the PowerMenu commands.  Some of  the features listed
          here have already been covered in Chapters 1-5.

          Chapter 6  assumes that  you have  installed PowerMenu  and have a
          basic understanding of DOS.   If  this  is  not  the  case, please
          complete the  tutorial in  Chapters 1-4 and/or refer to one of the
          DOS reference books listed in Appendix C.


          ACTIVATING MENU SELECTIONS
          There are three ways to activate the description lines:

               Highlight the selection by moving  the  cursor  bar  with the
               [down arrow] and [up arrow] keys, and then hit [Enter].

               Press  a   number  key.     This  immediately  activates the
               corresponding program or submenu on that description line.

               Hit the first letter of the description line.  This method is
               usually the fastest, since you don't have to leave the normal
               keyboard position.

          If two selections begin with the same letter,  only the  first one
          will be activated by hitting that letter.


          AUTOMATIC EXECUTION WITH AUTOEXEC.BAT
          You can  have your  system automatically invoke PowerMenu whenever
          you reboot on your  computer.   Just put  the command  menu as the
          last line in a file in the root directory called AUTOEXEC.BAT.

          The contents of a typical AUTOEXEC.BAT file might look like this:

           time
           rem Set the System Time
           date
           rem Set the System Date
           path=\dos
           rem Set search path to \dos
           sk

                                                 15





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

           rem Load SideKick
           cd \menu
           rem Call up PowerMenu
           menu

          All RAM-resident applications should be loaded first, as this will
          prevent "holes" in memory.

          If the file MENU.COM  is somewhere  in your  DOS path,  you do not
          need to be in the \menu directory to call up PowerMenu.

          BACKING UP YOUR POWERMENU FILES
          You should  make it  a practice  to routinely  copy your important
          files  to  a  backup  disk.    This  is  true  for   all  of your
          applications, and not just PowerMenu.

          Your customized menu information is contained in the files:

           MENU.DBF
           MENU.NDX
           MENU.CNF

          If  you  have  copies  of  these  files  on a backup disk, you can
          recover your entire PowerMenu setup if it ever becomes damaged.


          COLOR SETTINGS
          Selecting "Colours" from the [F2] menu  allows you  to change your
          PowerMenu colors.   You  may run  this program  from the PowerMenu
          Utilities submenu.

          Make your changes to the color table, return to PowerMenu, and see
          how you  like them.   Most users will want to experiment with many
          color schemes before deciding on a favorite.

          Owners of monochrome monitors should  not  attempt  to  change the
          color   table, as monochrome adapter boards are unpredictable with
          color settings.


          COMPOSING DOS COMMANDS
          You can talk directly to DOS from PowerMenu  by using  the [Alt-C]
          command.   Pressing [Alt-C] causes a DOS window to pop up, and you
          may enter any command  as though  you were  actually in  DOS. All
          valid DOS  constructions may  be used,  and DOS's COMSPEC and PATH
          are valid.  For example, if you wanted to get a directory  list of
          the  \ws  directory  and  have  it  pause  page by page, you would
          compose the command:

           C>dir \ws | more

                                                 16





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989


          Changing directories through the [Alt-C] command has no effect, as
          PowerMenu always returns to the original directory.

          If you  want to read the screen before returning to PowerMenu, put
          a Y in the Pause field.

          SETTING THE DATE
          You can change the  date whenever  you are  in the  main PowerMenu
          screen by hitting [Alt-D].  This calls up DOS's date function, and
          sets the date for your current computer session.

          DOS's date function does  not  set  the  date  permanently  in any
          battery  backed-up  clock  cards  you  may  have installed in your
          system.  If you have a clock card, the only way to permanently set
          the date is by using the utilities which should have come with the
          machine.  Enter the date in the form:

           month/day/year - for example, July 4, 1989 would be: 7/4/89

          You should always have the correct date on  your computer,  as DOS
          frequently "stamps" files with this date for later use.

          dBase III AND POWERMENU
          As  mentioned  earlier,  PowerMenu  uses  two dBase III compatible
          files: MENU.DBF and MENU.NDX.  This makes it  possible for  you to
          manipulate, reindex,  and repair  me nu files  if you happen to own
          dBase III.

          We want to discourage you from using PowerMenu data files in dBase
          except in  the rare  case of  menu data  corruption.   You can use
          dBase's 'reindex' command to rebuild  an  index,  and  'browse' to
          view and delete menu selections.

          Each submenu  consists of  10 dBase III records; the ID field is a
          concatenation of a menu  name and  its location  on the PowerMenu.
          All the  other fields are self explanatory.  If you want to delete
          submenus to save  disk  space,  you  must  delete  all  10 records
          associated  with  that  menu,  and  then pack and reindex the data
          file.

          IMPORTANT: Please  make a  copy of  your PowerMenu  data and index
          files before using them in dBase.

          EDIT WINDOW
          All changes  to PowerMenu  selections are made in the edit window.
          It is opened by  highlighting  the  desired  description  line and
          hitting  [Ins],  and  closed  by  hitting  [Esc].  The edit window
          contains the following fields:


                                                 17





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          TITLE FIELD.
          Your description line, exactly as you  want it  to appear  on your
          menu.

          DIRECTORY FIELD.
          If this  is not  blank, PowerMenu changes to this directory before
          running your program.

          CMND NAME FIELD.
          The filename and extension (the Command  Name) of  the command you
          want to run.

          PARAMETRS FIELD.
          These are  the arguments (a.k.a.  Parameters) you send to the Cmnd
          Name.

          PASSWORD FIELD.
          If this field is not blank,  PowerMenu  will  ask  for  a password
          before allowing editing or activation of this selection.

          PAUSE FIELD.
          If  you  put  a  Y  in  this  field,  PowerMenu  will pause before
          returning to the Main Menu screen.

          PROMPT FOR PARAMETRS FIELD.
          If you put a Y in this field, PowerMenu will  prompt the  user for
          the parameters.

          Normal PowerMenu  commands (  e.g.  [Alt-C], [Alt-S]) are disabled
          while  the edit window is open.


          KEYBOARD ENHANCERS
          PowerMenu is compatible with keyboard enhancement products such as
          SuperKey, Prokey, and Keyworks.

          Just be  aware that  these types  of programs intercept keystrokes
          before PowerMenu ever sees them.    Thus,  if  you  redefine, say,
          [Alt-C], you might disable PowerMenu's Compose function.

          PowerMenu's "reserved" keys are:

           [F1] - [F5]
           [Alt-F1] - [Alt-F10]
           [1]-[0]
           [Alt-S]
           [Alt-C]
           [Alt-D]
           [Alt-T]
           [Home]

                                                 18





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

           [Ins]
           [Del]
           [down arrow]
           [up arrow]
           [Esc]

          Try to avoid redefining these keys while you are in PowerMenu.

          PASSWORDS
          If a  description line's  Password field is not blank, you will be
          required  to  enter  the  password  before  you  can  access that
          selection.

          When a  selection is  password protected,  you will see a password
          window pop up whenever you try to activate or edit it.

          All passwords are automatically  converted  to  upper  case. For
          security  reasons,  the  password  will not appear in the Password
          Window whenever it is typed.

          Passwords may be up to 32 characters long, so be  imaginative with
          them.   "DTE67-UT3" is a bad password, and  not easily remembered.
          A phrase such as  "MY COAT  IS GREEN"  is much  less likely  to be
          forgotten.

          If you  forget the password, you won't be able to open up the edit
          window.

          RAM-RESIDENT PROGRAMS
          PowerMenu is fully compatible  with RAM-resident  programs such as
          HomeBase,  SuperKey,  and  Turbo  Lighting; just follow one simple
          rule:

           Don't load RAM-resident programs through PowerMenu!

          In  general,  you  should  initialize  all  of  your RAM-resident
          programs  when  you  boot  your  machine.   Never have a PowerMenu
          selection to "Load Sidekick." (Better yet never USE SideKick!).

          If you load RAM-resident programs    through  PowerMenu,  you will
          create  a  "hole"  in  memory  when  you exit, and you may have to
          reboot.


          RESIDENT DOS COMMANDS
          There are some DOS commands that are memory  resident, and  do not
          exist anywhere  on your disk.  For instance, the DOS command ERASE
          is a resident DOS command.



                                                 19





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          The resident DOS commands supported by PowerMenu are:

           copy
           dir
           erase
           ren
           type

          (Any others can easily be run by putting them in a batch file.)

          Put the command name in the  Cmnd  Name  field  WITHOUT  the .COM,
          .EXE,  or  .BAT  extension.    Put the parameters in the Parametrs
          field as you normally would.

          EXAMPLE
          If you wanted a selection to copy your  file REPORT.TXT  to the A:
          drive,  you  would  put:    "copy"  in  the  Cmnd  Name field, and
          "report.txt a:" in the Parametrs field.

          The only way PowerMenu can run these commands is by loading a copy
          of COMMAND.COM.


          SCREEN SAVE FUNCTION
          PowerMenu has  a "screen  save" feature  which turns the PowerMenu
          screen off after 3-5  minutes  of  non-use.    This  protects your
          screen against  "burn in,"  which occurs  if the  same picture is
          displayed for a long period of time.

          Screen save is only in effect when a menu or Edit Window is on the
          screen, and does not affect your applications programs.

          True screen  protect systems, such as the one with SuperKey, blank
          out the entire screen.  We  have found  this causes  some users to
          actually  forget  their  PC  is  on.    For this reason, PowerMenu
          displays the message "Hit space bar to return .  .  ." at a random
          place on your screen.


          SUBMENUS
          It is  possible to  display as  many as  4 menus  on the PowerMenu
          screen at once.  You can do this by setting up a selection to call
          a submenu.

          Submenus are  set up by putting [menu] in the directory field, and
          putting a 1-8 character menu name in the Cmnd Name field.

          You will need to remember the names of  your submenus  in order to
          call   them up.   Your selection can call any existing submenu; if
          the submenu does not exist, it can be  created.   If you create a

                                                 20





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          new submenu, it will contain blank selections until you fill them.
          Keep in mind that each  submenu  requires  about  1.8  Kb  of disk
          space.   If you  need to  delete or list submenus, you can do this
          through SUBMENU.EXE, a program in your \menu directory.


          SWAPPING SELECTIONS
          You  can  exchange  2  menu  selections  with  the  PowerMenu swap
          command.    Highlight  the  selection  you  wish  to move, and hit
          [Alt-S].  Next, drag the selection to the  desired destination and
          hit [Enter].   This physically exchanges the title and contents of
          the selections.

          [Esc] aborts any swap operation.


          TIME
          You can change the  system  time  whenever  you  are  in  the main
          PowerMenu screen  by hitting  [Alt-T].   This calls  up DOS's time
          function, and sets the time for your current computer session.

          DOS's time function does  not  set  the  time  permanently  in any
          battery  backed-up  clock  cards  you  may  have installed in your
          system.  If you have a clock card, the only way to permanently set
          the time is by using the utilities which should have come with the
          machine.
          Enter the time in the form:

               hours/minutes/seconds - for  example,  2:37  P.M.    would be
               2:37:00 in normal format, or 14:37:00 in 24-hour format.

          You should  always have  the correct time on your computer, as DOS
          frequently "time-stamps" files for later use.


                                                 21





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Appendix A

          FILE DESCRIPTIONS

          Files which are present on your PowerMenu disk


               MENU.COM       Main PowerMenu driver program
               MENU.OVL       Main PowerMenu overlay program
               MENU.ECT       PowerMenu support file
               MENU.DBF       PowerMenu selection data file
               MENU.NDX       Index file for MENU.DBF
               MENU.CNF       PowerMenu configuration data file.

               DISKMAN.OVL    Disk Manager Overlay
               MANUAL.PM      This manual.

                                                 22





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Appendix B

          SYSTEM REQUIREMENTS

          The minimum system requirements to run PowerMenu are:

           IBM PC, XT, AT or compatible computer
           A hard disk
           A floppy disk drive
           256K Bytes of RAM
           PC- or MS-DOS Version 2.10 or greater
           Color monitor (optional)



          PowerMenu takes about 3Kb  of  RAM  overhead  when  running your
          programs.    Each  submenu  you  add  requires about 1.8Kb of disk
          space.

                                                 23





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Appendix C

          DOS REFERENCE BOOKS

          The following books may be helpful  if you  are just  beginning to
          work with DOS:

           Running MS-DOS - The Microsoft Guide
           to Getting the Most Out of the
           Standard Operating System for the IBM
           PC .  .  ., Van Wolverton, ISBN 0-
           914845-07-1, Microsoft Press

           DOS PRIMER for the IBM PC and XT by
           Mitchell Waite, John Angermeyer, and
           Mark Noble.  Plume/Waite Books

           IBM Disk Operating System Reference,
           IBM Corporation.

                                                 24




           PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          Appendix D

          GLOSSARY

          [Alt] key           The  key  labeled  Alt  at  the  left  of your
                              keyboard.  This  key  is  most  often  used by
                              holding it down and hitting another key.

          AUTOEXEC.BAT        The  batch   file  run  automatically  by DOS
                              whenever you reboot your computer.

          batch file          A text file containing  a list  of commands to
                              be carried out by DOS.

          burn in             Damage  caused  to  a computer screen when the
                              same image is shown for a long period of time.
                              This  wears  out   the  screen's  phosphor, and
                              faint images are seen  even when  it is turned
                              off.

          clock/calendar card An accessory for your computer which keeps the
                              correct time and date even when  your computer
                              is turned  off.  Some computer such as the IBM
                              AT and the Compaq  286 have  these as standard
                              equipment.

          command name        The  name  and  extension of an executable DOS
                              program.

          [Ctrl] key          The key  labeled  Ctrl  at  the  left  of your
                              keyboard.    This  key  is  most often used by
                              holding it down and hitting another key.

          cursor              The flashing underscore  on  your  screen that
                              indicates  where  text  will appear should you
                              press a key.  Also directs your attention to a
                              particular area of the screen.

          cursor bar          The  line   of  reverse  video  text  on your
                              PowerMenu menu.  The cursor bar  is moved with
                              the [down arrow] and [up arrow] keys.

          dBase III           A  database  management  program  for IBM PC's
                              with   which   PowerMenu's   data   files are
                              compatible.

          directory           An  imaginary  "room"  an your hard disk which
                              contains files of similar  types.    There are
                              DOS  commands  to  allow you to create, change
                              to, and delete directories.

                                                 25





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          DOS                 Your computer's Disk  Operating  System. DOS
                              allows you  to run  programs and maintain your
                              disks, among other things.

          Edit Window         The window through which all PowerMenu changes
                              and additions  are made.   The  Edit Window is
                              opened  by    highlighting  the  selection and
                              hitting [Ins], and closed with [Esc].

          [Enter] key         The large  key to  the right of your keyboard.
                              On some computers, this is labeled [Return].

          [Esc] key           The key on your computer labeled  Esc, meaning
                              Escape.

          extension           The last part of a filename, preceded by a dot
                              (.), specifying the file  type.   All commands
                              which PowerMenu runs must have an extension of
                              .COM,  .EXE,  or  .BAT  (except  Resident DOS
                              Commands).

          field               A one-line area, highlighted in reverse video,
                              in to which you can enter text.

          file                Computer term for  a  group  of  data  on your
                              disk.   The text of a report, the numbers in a
                              spreadsheet, and    instructions to  a program
                              are all examples of disk files.

          function keys       The  ten   keys  labeled  F1  -  F10  on your
                              keyboard.

          help line           The line  at the  bottom of  your screen which
                              gives  abbreviated  help  whenever  you are in
                              PowerMenu.

          help screen         A screen  of  helpful  text  which  appears in
                              PowerMenu when you hit [F1].

          highlight           A PowerMenu  selection is highlighted when the
                              cursor bar is over that selection.

          Main Menu           The menu that appears when PowerMenu  is first
                              invoked.  All subsequent menus are called from
                              the Main Menu.

          /menu directory     The directory on your  hard disk  where all of
                              your PowerMenu files reside.

          parameters          Information sent to a DOS program.

                                                 26





          PowerMenu Users' Manual          Copyright Brown Bag Software 1989

          SITE LICENSES AND BUNDLING ARRANGEMENTS
          ---------------------------------------

          Corporate site licenses and bundling arrangements are
          available direct from Brown Bag Software.

          Site licenses can be used to distribute large quantities of
          PowerMenu and its documentation within a specific
          organization at very reasonable prices (hundreds of dollars
          less per copy than competing products).  All users under a
          site license can become registered users at no extra fee and
          are automatically notified of updates.

          Bundling arrangements can be used to distribute copies of
          PowerMenu in order to promote some other product or
          service.

          Note that neither of these activities is permitted under the
          limited license granted to all users of PowerMenu without
          the expressed written consent of Brown Bag Software.
















                                                 27



